The Old Permissions is Dead - Switch to PEX (How-to)

Discussion in 'WIP and Development Status' started by PermissionsTeam, Aug 22, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    PermissionsTeam

    We will no longer be developing Permissions.
    Please check out PEX instead.

    How to convert from P3 to PEX:

    When all is done, the permissions.yml should look like this:
    plugins/PermissionsEx/permissions.yml (open)
    Code:
    users:
        PsychowithanRPG:
            group:
            - Admin
        seanunited97:
            group:
            - Member
    groups:
        Admin:
            permissions:
            - '*'
            - modifyworld.*
            options:
                suffix: '&8[BADASS]&7'
        Member:
            permissions:
            - god.all
            - modifyworld.*
            inheritance:
            - everyone
            options:
                prefix: '&a[G]&7'
        Guest:
            permissions:
            - lwc.blockinventory
            - groupspawn.spawn
            options:
                prefix: '&f[GUEST]&7'
            default: true


    I used iChat (P2 version) instead of the bundled chat-manager to get prefixes and suffixes to work how I liked.
     
  2. Offline

    codename_B

    With permission from the original author?

    There is a reason Permissions was moved to inactive, the same with GroupManager.

    SuperPerms are the future. Unless you've turned Permissions into a SuperPerms manager (which I highly doubt, but you never know!) then yeah...
     
  3. Offline

    Butkicker12

    Holy shit, I thought this would never happen. Your a life saver
     
  4. Offline

    DrBowe

    I feel like the whole 'rennovating code and improving ERRYTHANG' bit is a load of crap...as it usually is with any fork.

    At any rate, as @codename_B asked, did you get permission to fork permissions? (no pun intended)
     
  5. Offline

    PermissionsTeam

    @codename_B We plan on adding SuperPerms support before we go gold.

    You would have to ask our main developer, as he has not told us yet if he has contacted the maker.
    He's currently asleep and will be back tomorrow.
    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 18, 2016
  6. Offline

    Kainzo

    Does it support transient caches?
     
  7. Offline

    Cosmic Break

    you have definitely piqued my interest! this thread is on high alert!
     
  8. Offline

    M1sT3rM4n

    Yeti's been AFK for a VERY long time
     
  9. Offline

    Cosmic Break

    iChat wont work with this unfortunately, because it looks for a specific version #. either 2 or 3
     
  10. Offline

    Zalastri

    @Cosmic Break

    So... modify it :p Nothing they can do about it except spoof the version, which I dont even know if you can do.
     
  11. Offline

    Butkicker12

    Modify the plugin.yml?
     
  12. Offline

    Cosmic Break

    i wouldnt know how to do that...
     
  13. Offline

    PermissionsTeam

    We're working on updating some key plugins by ourselves while we wait for other plugin dev's to update.
     
  14. I'm not a developer, but I'm playing around with some plugins to see if I can get them working with this (I won't release builds unless I have permission).
     
  15. Offline

    SwearWord

    Are you serious, another one? And it doesn't even do super perms? Thanks for adding to the mess of useless plugins and you're welcome in advance for handling all the confused admins who are going to flood IRC.

    Public Service Announcement:
    I strongly suggest people do not use this. It's promoting deprecated methods of using permissions and will likely give you problems. I know most devs are now releasing plugins that use only super perms and this will not work with them. You will save yourself a lot of headache if you just use PermissionsEX or PermissionsBukkit

    @PermissionsTeam
    Host your files externally. Don't make people have to register to download this. You are also missing a change log. Review the submission guidelines.

    In fact looking at the lack of source on github and your alleged "improvements" I wouldn't be surprised if you didn't just steal the code and make no improvements.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 18, 2016
  16. Offline

    PermissionsTeam

    @SwarWord You need to stop making assumptions and also to learn to read.
    I will add an advisement that getting permissions for commands is not yet done.
    This is in Beta Stage and is here to let people know it is being heavily worked on and improved.
    We respect your criticism, and will do my best to keep people informed.

    Thank You
     
  17. Offline

    aPunch

    Will developers need to support this or will it be compatible with plugins using superperms? I find it unlikely that any developer will support this.
     
  18. Offline

    SwearWord

    I know how I read. I also know how to determine wether what I read is genuine or not. Either way you need to review the submission guidelines, some stuff is off.
     
  19. Offline

    Rigby90

    In that case it should of been posted here.
     
  20. Offline

    mbaxter ʇıʞʞnq ɐ sɐɥ ı Retired Staff

    How can you not know if you have permission to use this or not, yet you developed it all as a team?
     
  21. Offline

    PermissionsTeam

    If someone could move it to the developer section that would be great, I'm going to add the changelog and and external mirror for testers.

    The developer of the plugin did not give us the GitHub login info, and he hasn't uploaded the plugin Source yet. He will do that tomorrow.

    From member of team. We do not legally need permission using their binaries.

    We're also making a Super Perm bridge for those who want to switch back to good ol Permissions. And some developers are working on updating it for 4.0.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 18, 2016
  22. Offline

    Rigby90

  23. Offline

    SwearWord

    If you don't have permission you need to add stealcode.use to your groups file.
     
    dark_hunter and Cosmic Break like this.
  24. Offline

    PermissionsTeam

    I will let Peanut know this when he comes on tomorrow.
    Thanks for the info!

    (If it is necessary we will ask the original Permissions owner (V1) if it is acceptable that we are continuing his legacy)
     
  25. Offline

    Tahg Retired Staff

    This thread will not be moved out here (and especially not into release) without a post here by an original Dev giving permission to continue this project, and support for the Bukkit permission API. While I won't argue whether you do or do not legal permission, we reserve the right to approve or deny plugin listings on this site.
     
    dark_hunter likes this.
  26. Offline

    Tauryuu

  27. Offline

    PermissionsTeam

    Way ahead of you, not only will permissions 4 provide speed and ease, it will also work with the same API and we are soon to add perms bridge, so it will be compatible with Bukkit Permissions and Phoenix Permisssions!

    NOTE: Im running 4.0 on my server and all plug-ins work without me having to modify the code :)
     
  28. Offline

    McSushi

    so i can copy paste from permissions3?
    ohh and thank you so much
     
  29. Its not ready yet, remember that.

    This was just a build to see if we understood the code.
     
  30. Offline

    McSushi

    ohh :( guess ill have to write up bpermissions until its up.
    any idea of when it will be up?
     
Thread Status:
Not open for further replies.

Share This Page